Quassel IRC - Bug #1503

When running Quassel it shutsdown
11/25/2018 09:57 PM - tellie

Status: Resolved Start date: 11/25/2018
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.13.0

Version: 0.12.4 0S: Any
Description

Hi

It's installed in /usr/bin
When i start quassel v0.13 it direct close the program..

2018-11-25 21:34:50 [Warn ] Missing icon: "{irc-channel-active}"

2018-11-25 21:34:50 [Warn ] Missing icon: "{irc-channel-inactive}"

2018-11-25 21:34:50 [Warn ] Missing icon: "{im-user-offline, user-offline}"
2018-11-25 21:34:50 [Warn ] Missing icon: "{im-user-online, im-user, user-available}"
2018-11-25 21:34:50 [Warn ] Missing icon: "{im-user-away, user-away}"

2018-11-25 21:34:50 [Warn ] Missing icon: "{irc-operator}"

2018-11-25 21:34:50 [Warn ] Missing icon: "{irc-voice}"

2018-11-25 21:34:51 [Warn ] No storage backend selected!

2018-11-25 21:34:51 [Info ] Core is currently not configured! Please connect with a Quassel Client for basic setup.
2018-11-25 21:34:51 [Error] Storage Schema is missing!

2018-11-25 21:34:51 [Info ] SQLite storage backend is ready. Schema version: 31
2018-11-25 21:34:51 [Info ] Selected authenticator: Database

2018-11-25 21:34:51 [Info ] Database authenticator is ready.

2018-11-25 21:34:51 [Info ] Creating admin user...

Killed by SIGSEGV

pid=0x004a ppid=0x0041 tid=0x0001 slot=0x00a1 pri=0x0200 mc=0x0001 ps=0x0010
C:\USR\BIN\QUASSEL.EXE

cs:eip=005b:37b1e400  ss:esp=0053:0094ed40 ebp=0094ed6c

ds=0053 es=0053 fs=150b gs=0000 efl=00010202

€ax=00000000 ebx=0094ed94 ecx=0000000d edx=00374a77 edi=01220ca0 esi=0094ef08
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

Any idea what this could be...

| compiled with gcc 4.9.2 and cmake and the OS is OS/2

Associated revisions

Revision d2629d34 - 12/06/2018 09:46 PM - Manuel Nickschas

client: Don't use list initialization for QStringList

The minimal build requirements we defined for the 0.13 branch don't
support list initialization for QStringList, so replace the two

places where we accidentally slipped that in by the legacy way

of doing things.

Fixes #1503.

History

#1 - 11/25/2018 11:03 PM - tellie
I just compile v0.13RC1 and that worked fine like it should..

#2 - 12/02/2018 07:54 PM - tellie

| also build v0.13RC2 and that has same behavior as v0.13
So it seems something is broken between RC1 and RC2

#3 - 12/02/2018 10:34 PM - tellie
Seems it's this changes [€7352d23bb54ce36dd4f9aac59a93e2c0a629716]

| get error when building quassel

networkmodel.cpp: In member function 'virtual QStringList Networkltem::propertyOrder() const'":
networkmodel.cpp:58:73: error: no matching function for call to 'QStringList::QStringList(<brace-enclosed initializer list>)'

static QStringList order{"networkName", "currentServer", "nickCount"};
and :

networkmodel.cpp:303:64: error: no matching function for call to 'QStringList::QStringList(<brace-enclosed initializer list>)'

static QStringList order{"bufferName", "topic", "nickCount"};

And i have to change this to get it build under OS2
but i think is a bad fix, and thats why it wont run quassel...

QStringList Networkltem::propertyOrder() const {

static QStringList order{"networkName", "currentServer", "nickCount"};
return order;

}
change to this to get it build:

QStringList Networkltem::propertyOrder() const {

#ifndef OS2

static QStringList order{"networkName", "currentServer", "nickCount"};
return order;

#endif

}

#4 - 12/06/2018 09:46 PM - Anonymous
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset quassel|d2629d3458802{83843a68cb31ccd5beaebbc449.
https://wiki.quassel-irc.org/projects/quassel-irc/repository/revisions/d2629d3458802f83843a68cb31ccd5beae6bc449
